package jess;


/**
 * An error has occurred while a rule is being compiled. The rule was
 * syntactically correct, but there was a semantic error such as a
 * variables being negated at its first use.
 * <P>
 * (C) 2006 Sandia National Laboratories<br>
 */


public class RuleCompilerException extends JessException {

  /**
   * Constructs a RuleCompilerException containing a descriptive message.
   * @param routine the name of the routine this exception occurred in.
   * @param msg an informational message.
   */

  public RuleCompilerException(String routine, String msg) {
      super(routine, msg, "");
  }
}
