package jess;

import java.util.HashMap;

/**
 * Functions related to debugging.
 * <P>
 * (C) 2006 Sandia National Laboratories<br>
 */


class DebugFunctions extends IntrinsicPackageImpl {
    public void add(HashMap ht) {
        addFunction(new JessType(), ht);
    }
}

class JessType implements Userfunction {
    public String getName() {
        return "jess-type";
    }

    public Value call(ValueVector vv, Context context) throws JessException {
        return new Value(RU.getTypeName(vv.get(1).resolveValue(context).type()), RU.SYMBOL);
    }

}
